package wusthelper.web.api.v2.dto.response.graduate;

import cn.wustlinghang.mywust.data.global.StudentInfo;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;
import wusthelper.web.util.StringUtil;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class GraduateStudentInfoResponse {
    private Long id;

    //学号
    private String studentNum;

    //密码
    private String password;

    //姓名
    private String name;

    //学位
    private String degree;

    //导师姓名
    private String tutorName;

    //学院
    private String academy;

    //专业
    private String specialty;

    //年级
    private Integer grade;

    //头像
    private String avatar;

    public static GraduateStudentInfoResponse from(StudentInfo studentInfo) {
        GraduateStudentInfoResponse graduateStudentInfoResponse = new GraduateStudentInfoResponse();
//        graduateStudentInfo.setId();
        graduateStudentInfoResponse.setStudentNum(studentInfo.getStudentNumber());
//        graduateStudentInfo.setPassword();
        graduateStudentInfoResponse.setName(studentInfo.getName());
        graduateStudentInfoResponse.setDegree("");
        graduateStudentInfoResponse.setTutorName("");
        graduateStudentInfoResponse.setAcademy(studentInfo.getCollege());
        graduateStudentInfoResponse.setSpecialty(studentInfo.getMajor());
        int grade = StringUtil.getGradeFromStudentNumber(studentInfo.getStudentNumber());
        graduateStudentInfoResponse.setGrade(grade);
        graduateStudentInfoResponse.setAvatar("");

        return graduateStudentInfoResponse;
    }
}
