package wusthelper.web.api.v2.dto.response.library;

import cn.wustlinghang.mywust.data.library.origin.CurrentLoanBook;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class CurrentRentResponse {
    private String bookCode;
    private String reRentNum = "";
    private String bookPlace;
    private String bookUrl;
    private String rentTime;
    private String bookName;
    private String returnTime;

	private static final String bookUrlFormat = "https://libsys.wust.edu.cn/meta-local/opac/bibs/%s/infos";

	public static CurrentRentResponse from(CurrentLoanBook currentLoanBook) {
	    CurrentRentResponse currentRentResponse = new CurrentRentResponse();
	    currentRentResponse.setBookCode(currentLoanBook.getBarCode());
	    currentRentResponse.setBookPlace(currentLoanBook.getLocation());
	    currentRentResponse.setBookUrl(bookUrlFormat.formatted(currentLoanBook.getBibId()));
	    currentRentResponse.setRentTime(currentLoanBook.getLoanDate());
	    currentRentResponse.setBookName(currentLoanBook.getTitle());
	    currentRentResponse.setReturnTime(currentLoanBook.getDueDate());

	    return currentRentResponse;
	}
}