package wusthelper.web.configure;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import wusthelper.web.util.PasswordCodec;

@Configuration
public class PasswordCodecConfigure {
    private final WusthelperConfigureItems wusthelperConfigureItems;

    public PasswordCodecConfigure(WusthelperConfigureItems wusthelperConfigureItems) {
        this.wusthelperConfigureItems = wusthelperConfigureItems;
    }

    @Bean
    public PasswordCodec passwordCodec() {
        String key = wusthelperConfigureItems.getPasswordEncodeKey();

        return new PasswordCodec(key);
    }
}
