package wusthelper.web.configure;

import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;
import wusthelper.web.api.v2.interceptor.NotFoundPathInterceptor;
import wusthelper.web.api.v2.interceptor.TokenInterceptor;

@Configuration
public class WebMvcConfigure implements WebMvcConfigurer {

    private final TokenInterceptor tokenInterceptor;
    private final NotFoundPathInterceptor notFoundPathInterceptor;

    public WebMvcConfigure(TokenInterceptor tokenInterceptor,
                           NotFoundPathInterceptor notFoundPathInterceptor) {
        this.tokenInterceptor = tokenInterceptor;
        this.notFoundPathInterceptor = notFoundPathInterceptor;
    }

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        registry.addInterceptor(this.tokenInterceptor)
                .addPathPatterns("/**");

        registry.addInterceptor(this.notFoundPathInterceptor)
                .addPathPatterns("/**");
    }


}
