package wusthelper.web.rpc.http.library;

import cn.wustlinghang.mywust.data.global.Course;
import cn.wustlinghang.mywust.data.library.parsed.BookDetail;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;
import wusthelper.internal.rpc.response.RpcResponseDto;

import java.util.List;

@Component
@FeignClient(name = "wusthelper.library", contextId = "library-bookDetail", url = "http://127.0.0.1:22804")
public interface LibraryBookDetailRemote {
    String ROOT_PATH = "/book_detail";

    @GetMapping(ROOT_PATH)
    RpcResponseDto<BookDetail> get(@RequestParam("id") String id);

    @GetMapping(ROOT_PATH + "/agent")
    RpcResponseDto<BookDetail> agent(@RequestParam("id") String id);
}
