package wusthelper.web.rpc.http.physics;

import cn.wustlinghang.mywust.data.global.Score;
import jakarta.validation.constraints.NotNull;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;
import wusthelper.internal.rpc.response.RpcResponseDto;

import java.util.List;

@Component
@FeignClient(name = "wusthelper.physics", contextId = "physics-score", url = "http://127.0.0.1:22806")
public interface PhysicsScoreRemote {
    String ROOT_PATH = "/score";

    @GetMapping(ROOT_PATH)
    RpcResponseDto<List<Score>> get(@RequestParam("cookie") String cookie);

    @GetMapping(ROOT_PATH + "/agent")
    RpcResponseDto<String> agent(@RequestParam("cookie") @NotNull String cookie);

    @PostMapping(ROOT_PATH + "/parse")
    RpcResponseDto<List<Score>> parse(String html);
}
