package wusthelper.web.rpc.http.undergrad;

import org.springframework.stereotype.Component;
import wusthelper.internal.rpc.response.RpcResponseDto;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@Component
@FeignClient(name = "wusthelper.undergrad", contextId = "undergrad-cookie", url = "http://127.0.0.1:22800")
public interface UndergradCookieRemote {
    String COOKIE_ROOT_PATH = "/cookie";

    @GetMapping(COOKIE_ROOT_PATH)
    RpcResponseDto<String> login(@RequestParam("username") String username,
                                 @RequestParam("password") String password);

    @GetMapping(COOKIE_ROOT_PATH + "/verify")
    RpcResponseDto<Boolean> verify(@RequestParam("cookie") String cookie);
}
