package wusthelper.web.service.campus.graduate;

import org.springframework.stereotype.Service;
import wusthelper.code.ServiceCode;
import wusthelper.web.data.entity.CookieType;
import wusthelper.web.exception.ServiceException;
import wusthelper.web.rpc.http.graduate.GraduateTrainingPlanRemote;
import wusthelper.web.service.cookie.CookieManager;

@Service
public class GraduateTrainingPlanService {
    private final GraduateTrainingPlanRemote trainingPlanRemote;
    private final CookieManager cookieManager;

    public GraduateTrainingPlanService(GraduateTrainingPlanRemote trainingPlanRemote, CookieManager cookieManager) {
        this.trainingPlanRemote = trainingPlanRemote;
        this.cookieManager = cookieManager;
    }

    public String getTrainingPlan(String user) {
        String cookie = cookieManager.getCookie(user, CookieType.Graduate);
        var rpcResp = trainingPlanRemote.get(cookie);
        if (rpcResp.code() != ServiceCode.Ok) {
            ServiceException.error(rpcResp.code());
        }

        // todo 异步存用户课表，异常判断等等
        return rpcResp.data();
    }
}
